**********************************************************************************
*** Data II: Age-Specific Population Data (destatis, municipality level, 2008) ***
**********************************************************************************
set more off
import delimited "../Datasets/Source/Regionaldaten/173-21-5-B.csv", delimiter(";") varnames(nonames) rowrange(11) clear 

rename v1 regio_id
rename v21 m0003
rename v22 m0306
rename v23 m0610
rename v24 m1015
rename v25 m1518
rename v26 m1820
rename v27 m2025
rename v28 m2530
rename v29 m3035
rename v30 m3540
rename v31 m4045
rename v32 m4550
rename v33 m5055
rename v34 m5560
rename v35 m6065
rename v36 m6575
rename v37 m7500
rename v38 male
rename v39 w0003
rename v40 w0306
rename v41 w0610
rename v42 w1015
rename v43 w1518
rename v44 w1820
rename v45 w2025
rename v46 w2530
rename v47 w3035
rename v48 w3540
rename v49 w4045
rename v50 w4550
rename v51 w5055
rename v52 w5560
rename v53 w6065
rename v54 w6575
rename v55 w7500
rename v56 total

foreach var of varlist _all {
	label var `var' "`var'"
}

keep m* r* t* w* 

destring regio_id, replace force
g help1 = 0
replace help1 = 1 if regio_id > 700000000 & regio_id < 3000000000 & total != "-"
replace help1 = 2 if regio_id > 3000000000 & total != "-"

tostring regio_id, replace

g str help2 = substr(regio_id, 1,4)						// extract "district"
g str help3 = substr(regio_id, 7,9) if help1 == 1		// extract "municipality" from Bundesland Rheinland-Pfalz
g str help4 = substr(regio_id, 8,10) if help1 == 2		// extract "municipality" from Bundesland Niedersachsen

replace regio_id = help2 + help3 if help1 == 1
replace regio_id = help2 + help4 if help1 == 2
drop help*

destring m* r* t* w*, replace force
format regio_id %08.0f

saveold "01_Alice/Alice_Data_I.dta", replace
*
