********************************************
*** Data III: Contextual Data: Sex Ratio ***
********************************************
use "01_Alice/Alice_Data_I.dta", clear

*** Contextual Data (sexratio 18-40)***
g _sexratio_c = (m1820 + m2025 + m2530 + m3035 + m3540) / (w1820 + w2025 + w2530 + w3035 + w3540)
*tabstat *sr*, s(n min max mean sd p10 p25 p50 p75 p90 p95)
centile _sexratio_c, c(10,20,30,40,50,60,70,80,90)

* Labels
forvalues i = 1/9 {
     local c`i' = (round(`r(c_`i')', .01))
 }
 
#delimit
lab def _sexratio_c
1 "<= `c1'"
2 "`c1' - `c2'"
3 "`c2' - `c3'"
4 "`c3' - `c4'"
5 "`c4' - `c5'"
6 "`c5' - `c6'"
7 "`c6' - `c7'"
8 "`c7' - `c8'"
9 "`c8' - `c9'"
10 "> `c9'" ;
#delimit cr

g help = .
 forvalues i = 1/9 {
     replace help = `r(c_`i')' in `i'
 }

xtile sexratio_c = _sexratio_c, cut(help)
lab var sexratio_c "Sex Ratio: male to female, age 18-40 (Municipalities in Germany as of 2008)"
lab val sexratio_c _sexratio_c
ta sexratio_c

keep r* s*
numlabel, mask("# ") add force 

saveold "03_Messages/A_Alice.dta", replace
*
