***********
*** BOB ***
***********
use "../Datasets/Source/Regionalkennziffern/Regionalkennziffern.dta", clear
g demodiff = 1
recode gkz (11100000 11200000 = 11000000)
saveold "02_BOB/_gkz_dd.dta", replace

use "../Datasets/Source/Regionalkennziffern/GKZ_W1.dta", clear
g demodiff = 0
g hnr = id / 1000
saveold "02_Bob/_gkz_pf.dta", replace

use "02_Bob/_gkz_dd.dta", clear
append using "02_Bob/_gkz_pf.dta", keep(demodiff hnr gkz)

g long regio_id = gkz
g long id = hnr * 1000
sort id
keep d* i* r*

egen _cluster_id = group(regio_id)

set seed 6783
gen help1 = runiform()
bysort regio_id: gen help3 = help1[1]
egen int cluster_id = group(help3)

pwcorr regio_id _cluster_id cluster_id, sig

drop _* h* 

lab var cluster_id "Regional ID"
lab var demodiff "DemoDiff Participant"

saveold "02_Bob/B_Bob.dta", replace


*** Final step: merge Alice & Bob ***
use "03_Messages/A_Alice.dta", clear
merge m:m regio_id using "02_Bob/B_Bob.dta"
keep if _merge == 3
sort id
keep id c* d* s*
order id c* d*
saveold "03_Messages/C_Alice+Bob.dta", replace

*
