************************
*** ANALYSIS EXAMPLE ***
************************
clear all
set more off

*******************
*** PREPARATION ***
*******************
use "K:/pairfam/2008-2014/Release 6.0/Data/Stata/anchor1.dta", clear
append using "K:/pairfam/2008-2014/Release 6.0/Data/Stata/anchor1_DD.dta"
saveold "04_Alice/_anchor1_PF+DD.dta", replace

use "04_Alice/_anchor1_PF+DD.dta", clear
merge 1:1 id using "03_Messages/C_Alice+Bob.dta"
drop _merge

saveold "04_Alice/Example.dta", replace

****************
*** ANALYSIS ***
****************
use "04_Alice/Example.dta", clear

*** POPULATION ***
*** PARTNER ***
g partner = .
replace partner = 1 if sd3 == 1
replace partner = 0 if sd3 == 2
lab var partner "Partnership"
lab def partner 0"Partner: yes" 1"Partner: no", modify
lab val partner partner
drop if partner == .

*** SEX RATIO ***
g sexratio = .
replace sexratio = 0 if sexratio_c >= 1 & sexratio_c <= 3 
replace sexratio = 1 if sexratio_c == 4
replace sexratio = 2 if sexratio_c >= 5 & sexratio_c <= 6
replace sexratio = 3 if sexratio_c >= 7
lab var sexratio "Sex Ratio: male to female, age 18-40"
lab def sexratio 0"<100" 1"100-103" 2"103-106" 3">106", modify
lab val sexratio sexratio

*** EDUCATION***
g education1 = .
replace education1 = 1 if sd27 == 1 | sd27 == 2 | sd27 == 4
replace education1 = 2 if sd27 == 3 | sd27 == 5
replace education1 = 3 if sd27 == 6 | sd27 == 7
replace education1 = 4 if sd27 == 8
replace education1 = 5 if sd27 == -3 & cohort == 1
lab var education1 "Education: Highest level of education attained"
lab def education1 1"w/o certificate/Haupt-/Volksschule/POS 8. Klasse" 2"Realschule/POS 10." 3"Hochschulreife" 4"Sonstige" 5"derzeit Schulbesuch", modify
lab val education1 education1
numlabel partner sexratio education1, add mask("# ") force

*** ANALYSIS ***
bysort original_sex: melogit partner i.east ib1.education1 ib1.sexratio age || cluster_id:, or 

* test without i.east variable
bysort original_sex: melogit partner ib1.education1 ib1.sexratio age || cluster_id:, or 

